Bug 843586 - x continually crashes....
x continually crashes....
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2012-07-26 13:13 EDT by kevin martin
Modified: 2015-02-17 09:22 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 09:22:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description kevin martin 2012-07-26 13:13:26 EDT
Description of problem:
X crashes with the backtrace below.  At the time I'm running Thunderbird 14, Firefox 14, and VirtualBox 4.1.18.  

Version-Release number of selected component (if applicable):
X 1.12.3

How reproducible:
Has been happening regularly since my starting to use VirtualBox again

Steps to Reproduce:
1. Run VirtualBox, Thunderbird, and Firefox
2. At some point my X will crash.
Actual results:
X crashes

Expected results:
no crashing of X

Additional info:
Here's the backtrace and a VirtualBox error that I see when this happens:

[mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
[mi] EQ overflow continuing.  100 events have been dropped.

[mi] EQ overflow continuing.  200 events have been dropped.

0: /usr/bin/X (xorg_backtrace+0x36) [0x465306]
0: /usr/bin/X (xorg_backtrace+0x36) [0x465306]
1: /usr/bin/X (mieqEnqueue+0x26b) [0x5514eb]
1: /usr/bin/X (0x400000+0x47f62) [0x447f62]
2: /usr/bin/X (0x400000+0x47f62) [0x447f62]
2: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f9be0e86000+0x60f4) [0x7f9be0e8c0f4]
0: /usr/bin/X (xorg_backtrace+0x36) [0x465306]
3: /usr/bin/X (0x400000+0x807c7) [0x4807c7]
1: /usr/bin/X (0x400000+0x47f62) [0x447f62]
4: /usr/bin/X (0x400000+0xa4ac0) [0x4a4ac0]
2: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f9be0e86000+0x60f4) [0x7f9be0e8c0f4]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f9be0e86000+0x60f4) [0x7f9be0e8c0f4]
3: /usr/bin/X (0x400000+0x807c7) [0x4807c7]
4: /usr/bin/X (0x400000+0x807c7) [0x4807c7]
4: /usr/bin/X (0x400000+0xa4ac0) [0x4a4ac0]
5: /usr/bin/X (0x400000+0xa4ac0) [0x4a4ac0]
5: /lib64/libpthread.so.0 (0x7f9bea37b000+0xf000) [0x7f9bea38a000]
6: /lib64/libpthread.so.0 (0x7f9bea37b000+0xf000) [0x7f9bea38a000]
5: /lib64/libpthread.so.0 (0x7f9bea37b000+0xf000) [0x7f9bea38a000]
6: /lib64/libc.so.6 (ioctl+0x7) [0x7f9be90c35c7]
7: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f9be7625608]
8: /lib64/libdrm.so.2 (drmModeSetCursor+0x29) [0x7f9be7628e19]
9: /usr/bin/X (0x400000+0xb6b0a) [0x4b6b0a]
10: /usr/bin/X (0x400000+0xc13f4) [0x4c13f4]
11: /usr/bin/X (0x400000+0xc0174) [0x4c0174]
12: /usr/bin/X (miPointerUpdateSprite+0x29a) [0x55b8ba]
7: /lib64/libgomp.so.1 (0x7f9be8bb4000+0x9fc6) [0x7f9be8bbdfc6]
8: /lib64/libgomp.so.1 (0x7f9be8bb4000+0x883e) [0x7f9be8bbc83e]
9: /lib64/libpthread.so.0 (0x7f9bea37b000+0x7d15) [0x7f9bea382d15]
10: /lib64/libc.so.6 (clone+0x6d) [0x7f9be90ca96d]

[mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
[mi] mieq is *NOT* the cause.  It is a victim.
13: /usr/bin/X (0x400000+0x15bb6d) [0x55bb6d]
6: /lib64/libgomp.so.1 (0x7f9be8bb4000+0x9fc6) [0x7f9be8bbdfc6]
14: /usr/bin/X (0x400000+0xce073) [0x4ce073]
7: /lib64/libgomp.so.1 (0x7f9be8bb4000+0x883e) [0x7f9be8bbc83e]
15: /usr/bin/X (0x400000+0xfdee7) [0x4fdee7]
8: /lib64/libpthread.so.0 (0x7f9bea37b000+0x7d15) [0x7f9bea382d15]
16: /usr/bin/X (0x400000+0x3bcb9) [0x43bcb9]
9: /lib64/libc.so.6 (clone+0x6d) [0x7f9be90ca96d]
17: /usr/bin/X (WindowHasNewCursor+0x37) [0x43d017]

18: /usr/bin/X (ChangeWindowAttributes+0xb8d) [0x460a9d]
19: /usr/bin/X (0x400000+0x2e9bd) [0x42e9bd]
20: /usr/bin/X (0x400000+0x344aa) [0x4344aa]
21: /usr/bin/X (0x400000+0x23505) [0x423505]
22: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f9be8ffaa05]
23: /usr/bin/X (0x400000+0x237dd) [0x4237dd]

[mi] Increasing EQ size to 512 to prevent dropped events.
[mi] EQ processing has resumed after 288 dropped events.
[mi] This may be caused my a misbehaving driver monopolizing the server's resources.
[mi] Unknown event type (0), cannot change id.
dix: invalid event type 0
00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 
00 00 00 00 00 00 00 00 

0: /usr/bin/X (xorg_backtrace+0x36) [0x465306]
1: /usr/bin/X (0x400000+0x4df6e) [0x44df6e]
2: /usr/bin/X (mieqProcessDeviceEvent+0x44) [0x5517a4]
3: /usr/bin/X (mieqProcessInputEvents+0xf8) [0x551a38]
4: /usr/bin/X (ProcessInputEvents+0x9) [0x480849]
5: /usr/bin/X (0x400000+0x3421c) [0x43421c]
6: /usr/bin/X (0x400000+0x23505) [0x423505]
7: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f9be8ffaa05]
8: /usr/bin/X (0x400000+0x237dd) [0x4237dd]

Fatal server error:
Wrong event type 0. Aborting server

[80496.973185] VirtualBox[7315]: segfault at 49c07ea0 ip 00007f18f61f2da1 sp 00007fff40cf0260 error 4 in libc-2.16.so[7f18f61ba000+1ad000]

I don't know if VirtualBox is crashing and taking out X but I think it's more likely that X crashes and takes out VirtualBox.  Please see other of my bugzilla's for more information about my X problems if interested.  X crashes on this laptop regularly for, apparently, differing reasons.
Comment 1 kevin martin 2012-07-27 17:06:08 EDT
I've gone ahead and installed the nVidia driver from rpmfusion and can 1). now run the 3.5.0 kernel and 2). have no stability issues at this time.  I would love to be able to support the nouveau project but I need a functional system and nouveau can't do it.  The GPU lockup issue that I've seen with this laptop was reported over a year ago and has never been fixed and, more recently, the inability to run nouveau with acceleration disabled under the 3.5.0 kernel makes it impossible for me to actually use the 3.5.0 kernel with nouveau. I'll keep an eye on the bugs that I've submitted and test further with nouveau if/when I see any changes being made that may actually impact my situation but, until then, I guess it's the nVidia driver for me.
Comment 2 Fedora End Of Life 2013-04-03 14:04:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 3 Fedora End Of Life 2015-01-09 12:17:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:22:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.